import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter_font_icons/flutter_font_icons.dart';
import 'package:get/get.dart';

import '../../../constant/colors.dart';
import '../../../constant/style.dart';
import '../../../controller/functions/tts.dart';
import '../../../controller/home/captin/contact_us_controller.dart';
import '../../widgets/my_scafold.dart';

class ContactUsPage extends StatelessWidget {
  ContactUsPage({super.key});

  @override
  Widget build(BuildContext context) {
    Get.put(ContactUsController());
    return GetBuilder<ContactUsController>(builder: (controller) {
      return MyScafolld(
          title: "Contact Us".tr,
          body: [
            Padding(
              padding: const EdgeInsets.all(8.0),
              child: ListView(
                // crossAxisAlignment: CrossAxisAlignment.center,
                // mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: [
                  Container(
                    decoration: AppStyle.boxDecoration1,
                    child: Column(
                      children: [
                        ClipRRect(
                            borderRadius: BorderRadius.circular(15),
                            child: Image.asset('assets/images/logo.gif')),
                        IconButton(
                          onPressed: () async {
                            Get.put(TextToSpeechController()).speakText(
                                'Intaleq is the safest ride-sharing app that introduces many features for both captains and passengers. We offer the lowest commission rate of just 8%, ensuring you get the best value for your rides. Our app includes insurance for the best captains, regular maintenance of cars with top engineers, and on-road services to ensure a respectful and high-quality experience for all users.'
                                    .tr);
                          },
                          icon: const Icon(Icons.headphones),
                        ),
                        Padding(
                          padding: const EdgeInsets.all(8.0),
                          child: Text(
                            'Intaleq is the safest ride-sharing app that introduces many features for both captains and passengers. We offer the lowest commission rate of just 8%, ensuring you get the best value for your rides. Our app includes insurance for the best captains, regular maintenance of cars with top engineers, and on-road services to ensure a respectful and high-quality experience for all users.'
                                .tr,
                            style: AppStyle.title,
                            textAlign: TextAlign.center,
                          ),
                        ),
                      ],
                    ),
                  ),
                  const SizedBox(
                    height: 30,
                  ),
                  Container(
                    decoration: AppStyle.boxDecoration1,
                    child: Padding(
                      padding: const EdgeInsets.all(8.0),
                      child: Text(
                        "You can contact us during working hours from 10:00 - 17:00."
                            .tr,
                        style: AppStyle.title,
                        textAlign: TextAlign.center,
                      ),
                    ),
                  ),
                  InkWell(
                    onTap: () => controller.showContactDialog(context),
                    child: const Row(
                      mainAxisAlignment: MainAxisAlignment.spaceEvenly,
                      children: [
                        Icon(
                          Icons.phone,
                          color: AppColor.blueColor,
                        ),
                        Icon(
                          FontAwesome.whatsapp,
                          color: AppColor.greenColor,
                        ),
                        Icon(
                          Icons.email,
                          color: AppColor.redColor,
                        ),
                      ],
                    ),
                  ),
                  const SizedBox(
                    height: 30,
                  )
                ],
              ),
            )
          ],
          isleading: true);
    });
  }
}
